Genivia - soap_dom_element Class Reference

|  | Home | Documentation | soap_dom_element Class Reference updated Mon Apr 22 2024 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
soap_dom_element Class Reference

The xsd__anyType DOM element node structure (xsd__anyType is a typedef of soap_dom_element) More...

Collaboration diagram for soap_dom_element:
[legend]

## Public Types
typedef soap_dom_element_iterator | iterator
typedef soap_dom_element_iterator | const_iterator

## Public Member Functions
| soap_dom_element (struct soap *soap=NULL)
| Construct new xsd__anyType DOM element. More...
| soap_dom_element (const soap_dom_element &elt)
| Construct new xsd__anyType DOM element by (shallow) copying another element. More...
| soap_dom_element (struct soap *soap, const char *tag)
| Construct new xsd__anyType DOM element with (un)qualified tag name, same as xsd__anyType(soap, NULL, tag) More...
| soap_dom_element (struct soap *soap, const wchar_t *tag)
| Construct new xsd__anyType DOM element with (un)qualified tag name, same as xsd__anyType(soap, NULL, tag) More...
| soap_dom_element (struct soap *soap, const char *ns, const char *tag)
| Construct new xsd__anyType DOM element with namespace URI (xmlns) and (un)qualified tag name. More...
| soap_dom_element (struct soap *soap, const char *ns, const wchar_t *tag)
| Construct new xsd__anyType DOM element with namespace URI (xmlns) and (un)qualified tag name. More...
| soap_dom_element (struct soap *soap, const char *ns, const char *tag, const char *text)
| Construct new xsd__anyType DOM element with namespace URI (xmlns), (un)qualified tag name, and text. More...
| soap_dom_element (struct soap *soap, const char *ns, const char *tag, const wchar_t *text)
| Construct new xsd__anyType DOM element with namespace URI (xmlns), (un)qualified tag name, and text. More...
| soap_dom_element (struct soap *soap, const char *ns, const wchar_t *tag, const char *text)
| Construct new xsd__anyType DOM element with namespace URI (xmlns), (un)qualified tag name, and text. More...
| soap_dom_element (struct soap *soap, const char *ns, const wchar_t *tag, const wchar_t *text)
| Construct new xsd__anyType DOM element with namespace URI (xmlns), (un)qualified tag name, and text. More...
| soap_dom_element (struct soap *soap, const char *ns, const char *tag, const std::string &text)
| Construct new xsd__anyType DOM element with namespace URI (xmlns), (un)qualified tag name, and text. More...
| soap_dom_element (struct soap *soap, const char *ns, const char *tag, const std::wstring &text)
| Construct new xsd__anyType DOM element with namespace URI (xmlns), (un)qualified tag name, and text. More...
| soap_dom_element (struct soap *soap, const char *ns, const wchar_t *tag, const std::string &text)
| Construct new xsd__anyType DOM element with namespace URI (xmlns), (un)qualified tag name, and text. More...
| soap_dom_element (struct soap *soap, const char *ns, const wchar_t *tag, const std::wstring &text)
| Construct new xsd__anyType DOM element with namespace URI (xmlns), (un)qualified tag name, and text. More...
| soap_dom_element (struct soap *soap, const char *ns, const char *tag, const void *node, int type)
| Construct new xsd__anyType DOM element node with namespace URI (xmlns), (un)qualified tag name, and pointer to a serializable object. More...
| soap_dom_element (struct soap *soap, const char *ns, const wchar_t *tag, const void *node, int type)
| Construct new xsd__anyType DOM element node with namespace URI (xmlns), (un)qualified tag name, and pointer to a serializable object. More...
| ~soap_dom_element ()
| Destructor (no-op, deletes are done by the managing context of this object) More...
soap_dom_element & | set (const char *ns, const char *tag)
| Set xsd__anyType DOM element namespace URI and tag name. More...
soap_dom_element & | set (const char *ns, const wchar_t *tag)
| Set xsd__anyType DOM element namespace URI and tag name. More...
soap_dom_element & | set (bool b)
| Set text of this xsd__anyType DOM element node to Boolean "false" or "true". More...
soap_dom_element & | set (int n)
| Set text of this xsd__anyType DOM element node to an integer value. More...
soap_dom_element & | set (LONG64 n)
| Set text of this xsd__anyType DOM element node to an integer value. More...
soap_dom_element & | set (float x)
| Set text of this xsd__anyType DOM element node to a float value. More...
soap_dom_element & | set (double x)
| Set text of this xsd__anyType DOM element node to a double float value. More...
soap_dom_element & | set (const char *text)
| Set text of this xsd__anyType DOM element node. More...
soap_dom_element & | set (const wchar_t *text)
| Set text of this xsd__anyType DOM element node. More...
soap_dom_element & | set (const std::string &text)
| Set text of this xsd__anyType DOM element node. More...
soap_dom_element & | set (const std::wstring &text)
| Set text of this xsd__anyType DOM element node. More...
soap_dom_element & | set (const void *node, int type)
| Set this xsd__anyType DOM element node to point to a serializable object. More...
soap_dom_element & | add (soap_dom_element &elt)
| Add a child element node to this xsd__anyType DOM element node. More...
soap_dom_element & | add (soap_dom_element *elt)
| Add a child element node to this xsd__anyType DOM element node. More...
soap_dom_element & | add (soap_dom_attribute &att)
| Add an attribute node to this xsd__anyType DOM element node. More...
soap_dom_element & | add (soap_dom_attribute *att)
| Add an attribute node to this xsd__anyType DOM element node. More...
soap_dom_element & | adds (soap_dom_element &elts)
| Copy list of element nodes to this xsd__anyType DOM element node as children. More...
soap_dom_element & | adds (soap_dom_element *elts)
| Copy list of element nodes to this xsd__anyType DOM element node as children. More...
soap_dom_element & | adds (soap_dom_attribute &atts)
| Copy list of attribute nodes to this xsd__anyType DOM element node. More...
soap_dom_element & | adds (soap_dom_attribute *atts)
| Copy list of attribute nodes to this xsd__anyType DOM element node. More...
soap_dom_element & | operator= (bool b)
| Set text of this xsd__anyType DOM element node to Boolean "false" or "true", same as set(b) More...
soap_dom_element & | operator= (int n)
| Set text of this xsd__anyType DOM element node to an integer value, same as set(n) More...
soap_dom_element & | operator= (LONG64 n)
| Set text of this xsd__anyType DOM element node to an integer value, same as set(n) More...
soap_dom_element & | operator= (float x)
| Set text of this xsd__anyType DOM element node to a float value, same as set(x) More...
soap_dom_element & | operator= (double x)
| Set text of this xsd__anyType DOM element node to a double float value, same as set(x) More...
soap_dom_element & | operator= (const char *text)
| Set text of this xsd__anyType DOM element node, same as set(text) More...
soap_dom_element & | operator= (const wchar_t *text)
| Set text of this xsd__anyType DOM element node, same as set(text) More...
soap_dom_element & | operator= (const std::string &text)
| Set text of this xsd__anyType DOM element node, same as set(text) More...
soap_dom_element & | operator= (const std::wstring &text)
| Set text of this xsd__anyType DOM element node, same as set(text) More...
soap_dom_element & | operator= (const soap_dom_element &elt)
| Copy an xsd__anyType DOM element node to this node (not a deep copy) More...
template<class T >
soap_dom_element & | operator= (const T &obj)
| Set this xsd__anyType DOM element node to point to a serializable object. More...
template<class T >
soap_dom_element & | operator= (const T *obj)
| Set this xsd__anyType DOM element node to point to a serializable object. More...
template<class T >
soap_dom_element & | operator= (T *obj)
| Set this xsd__anyType DOM element node to point to a serializable object. More...
soap_dom_attribute & | att (const char *tag)
| Populate this xsd__anyType DOM element node with an attribute node, same as att(NULL, tag), if the attribute does not already exists. More...
soap_dom_attribute & | att (const wchar_t *tag)
| Populate this xsd__anyType DOM element node with an attribute node, same as att(NULL, tag), if the attribute does not already exists. More...
soap_dom_attribute & | att (const char *ns, const char *tag)
| Populate this xsd__anyType DOM element node with an attribute node, if the attribute does not already exists. More...
soap_dom_attribute & | att (const char *ns, const wchar_t *tag)
| Populate this xsd__anyType DOM element node with an attribute node, if the attribute does not already exists. More...
soap_dom_element & | elt ()
| Populate this xsd__anyType DOM element node with an unnamed (tagless) child element node, same as elt(NULL, "") More...
soap_dom_element & | elt (const char *tag)
| Populate this xsd__anyType DOM element node with a child element node, same as elt(NULL, tag) More...
soap_dom_element & | elt (const wchar_t *tag)
| Populate this xsd__anyType DOM element node with a child element node, same as elt(NULL, tag) More...
soap_dom_element & | elt (const char *ns, const char *tag)
| Populate this xsd__anyType DOM element node with a child element node. More...
soap_dom_element & | elt (const char *ns, const wchar_t *tag)
| Populate this xsd__anyType DOM element node with a child element node. More...
soap_dom_element & | operator[] (const char *tag)
| Populate this xsd__anyType DOM element node with a child element node, same as elt(NULL, tag) More...
soap_dom_element & | operator[] (const wchar_t *tag)
| Populate this xsd__anyType DOM element node with a child element node, same as elt(NULL, tag) More...
soap_dom_element & | operator[] (size_t n)
| Add a N-th child element with the same namespace and tag name as this xsd__anyType DOM element node that is a child element node at position one (1) in a sibling list. More...
soap_dom_attribute * | att_get (const char *tag) const
| Get attribute node of this xsd__anyType DOM element node, if attribute exists, same as att_get(NULL, tag) More...
soap_dom_attribute * | att_get (const wchar_t *tag) const
| Get attribute node of this xsd__anyType DOM element node, if attribute exists, same as att_get(NULL, tag) More...
soap_dom_attribute * | att_get (const char *ns, const char *tag) const
| Get attribute node of this xsd__anyType DOM element node, if attribute exists. More...
soap_dom_attribute * | att_get (const char *ns, const wchar_t *tag) const
| Get attribute node of this xsd__anyType DOM element node, if attribute exists. More...
soap_dom_element * | elt_get () const
| Get unnamed (tagless) child element node of this xsd__anyType DOM element node, if child element exists, same as elt_get(NULL, NULL) or elt_get(NULL, "");. More...
soap_dom_element * | elt_get (const char *tag) const
| Get child element node of this xsd__anyType DOM element node, if child element exists. More...
soap_dom_element * | elt_get (const wchar_t *tag) const
| Get child element node of this xsd__anyType DOM element node, if child element exists, same as elt_get(NULL, tag) More...
soap_dom_element * | elt_get (const char *ns, const char *tag) const
| Get child element node of this xsd__anyType DOM element node, if child element exists. More...
soap_dom_element * | elt_get (const char *ns, const wchar_t *tag) const
| Get child element node of this xsd__anyType DOM element node, if child element exists. More...
soap_dom_element * | get_next () const
| Get next child element node that has the same namespace URI and tag name as this child element node in a sibling list. More...
soap_dom_element * | get_nth (size_t n)
| Get N-th child element node that has the same namespace URI and tag name as this child element node at position one (1) in a sibling list. More...
bool | match (const char *patt) const
| Match the namespace URI and tag name of this xsd__anyType DOM element node against a pattern. More...
bool | match (const wchar_t *patt) const
| Match the namespace URI and tag name of this xsd__anyType DOM element node against a pattern, same as match(NULL, patt) More...
bool | match (const char *ns, const char *patt) const
| Match the namespace URI and tag name of this xsd__anyType DOM element node against a pattern, same as match(NULL, patt) More...
bool | match (const char *ns, const wchar_t *patt) const
| Match the namespace URI and tag name of this xsd__anyType DOM element node against a pattern. More...
const char * | ns () const
| Get the namespace URI of this xsd__anyType DOM element node. More...
const char * | tag () const
| Get the tag name of this xsd__anyType DOM element node. More...
soap_dom_element * | parent ()
| Return pointer to parent of this xsd__anyType DOM element node, if any. More...
size_t | depth () const
| Return depth from the root node of this xsd__anyType DOM element node. More...
size_t | index () const
| Return child index of this xsd__anyType DOM child element node in its sibling list. More...
size_t | len () const
| Return number of siblings of this xsd__anyType DOM child node that have the same namespace URI and tag name. More...
size_t | nth () const
| Return index of this xsd__anyType DOM child node among siblings that have the same namespace URI and tag name. More...
size_t | elt_size ()
| Return number of child element nodes of this xsd__anyType DOM element node, same as elt_size(NULL, NULL) More...
size_t | elt_size (const char *patt, int type=0)
| Return number of matching child element nodes of this xsd__anyType DOM element node, same as elt_size(NULL, patt, type) More...
size_t | elt_size (const char *ns, const char *patt, int type=0)
| Return number of matching child element nodes of this xsd__anyType DOM element node. More...
size_t | att_size ()
| Return number of attribute nodes of this xsd__anyType DOM element node, same as att_size(NULL, NULL) More...
size_t | att_size (const char *patt)
| Return number of matching attribute nodes of this xsd__anyType DOM element node, same as att_size(NULL, patt) More...
size_t | att_size (const char *ns, const char *patt)
| Return number of matching attribute nodes of this xsd__anyType DOM element node. More...
bool | is_true () const
| Return true if this xsd__anyType DOM element node text is Boolean "true" or "1". More...
bool | is_false () const
| Return true if this xsd__anyType DOM element node text is Boolean "false" or "0". More...
LONG64 | get_int () const
| Return 64 bit integer value of numeric text of this xsd__anyType DOM element node. More...
double | get_double () const
| Return double float value of decimal text of this xsd__anyType DOM element node. More...
const char * | get_text () const
| Return text of this xsd__anyType DOM element node. More...
| operator bool () const
| Return true if this xsd__anyType DOM element node text is Boolean "true" or "1", same as is_true() More...
| operator int () const
| Return integer value of numeric text of this xsd__anyType DOM element node, same as (int)get_int() More...
| operator LONG64 () const
| Return 64 bit integer value of numeric text of this xsd__anyType DOM element node, same as get_int() More...
| operator double () const
| Return double float value of decimal text of this xsd__anyType DOM element node, same as get_double() More...
| operator const char * () const
| Return text of this xsd__anyType DOM element node, same as get_text() More...
soap_dom_element::const_iterator | cbegin ()
| Return const_iterator to begin of deep depth-first node graph traversal starting with this node. More...
soap_dom_element::const_iterator | cend ()
| Return const_iterator to end of deep depth-first tnode graph traversal. More...
soap_dom_element::iterator | begin ()
| Return iterator to begin of deep depth-first node graph traversal starting with this node. More...
soap_dom_element::iterator | end ()
| Return iterator to end of deep depth-first tnode graph traversal. More...
soap_dom_element::iterator | elt_begin ()
| Return iterator to begin of child element nodes. More...
soap_dom_element::iterator | elt_end ()
| Return iterator to end of child element nodes. More...
soap_dom_attribute::iterator | att_begin ()
| Return iterator to begin of attribute nodes. More...
soap_dom_attribute::iterator | att_end ()
| Return iterator to end of attribute nodes. More...
soap_dom_element::iterator | find (const char *patt, int type=0)
| Return iterator to search deep depth-first over node graph starting from this node, same as find(NULL, patt, type) More...
soap_dom_element::iterator | find (const wchar_t *patt, int type=0)
| Return iterator to search deep depth-first over node graph starting from this node, same as find(NULL, patt, type) More...
soap_dom_element::iterator | find (const char *ns, const char *patt, int type=0)
| Return iterator to search deep depth-first over node graph starting from this node. More...
soap_dom_element::iterator | find (const char *ns, const wchar_t *patt, int type=0)
| Return iterator to search deep depth-first over node graph starting from this node. More...
soap_dom_element::iterator | find (int type)
| Return iterator to search deep depth-first over node graph to find deserialized objects, starting from this node. More...
soap_dom_element::iterator | elt_find (const char *patt, int type=0)
| Return iterator to search for matching child elements of this node, same as elt_find(NULL, patt, type) More...
soap_dom_element::iterator | elt_find (const wchar_t *patt, int type=0)
| Return iterator to search for matching child elements of this node, same as elt_find(NULL, patt, type) More...
soap_dom_element::iterator | elt_find (const char *ns, const char *patt, int type=0)
| Return iterator to search for matching child elements of this node. More...
soap_dom_element::iterator | elt_find (const char *ns, const wchar_t *patt, int type=0)
| Return iterator to search for matching child elements of this node. More...
soap_dom_element::iterator | elt_find (int type)
| Return iterator to search for child elements of this node that have deserialized objects. More...
soap_dom_attribute::iterator | att_find (const char *patt)
| Return iterator to search for matching attributes of this node. More...
soap_dom_attribute::iterator | att_find (const wchar_t *patt)
| Return iterator to search for matching attributes of this node, same as att_find(NULL, patt) More...
soap_dom_attribute::iterator | att_find (const char *ns, const char *patt)
| Return iterator to search for matching attributes of this node, same as att_find(NULL, patt) More...
soap_dom_attribute::iterator | att_find (const char *ns, const wchar_t *patt)
| Return iterator to search for matching attributes of this node. More...
void | unlink ()

## Public Attributes
struct soap_dom_element * | next
| next sibling element node in list More...
struct soap_dom_element * | prnt
| pointer to parent node More...
struct soap_dom_element * | elts
| list of child element nodes More...
struct soap_dom_attribute * | atts
| list of attribute nodes More...
const char * | nstr
| namespace string More...
const char * | name
| (un)qualified tag name More...
const char * | lead
| leading XML content before start tag (used with WITH_DOM) More...
const char * | text
| text cdata in UTF-8 More...
const char * | code
| XML "code" (plain unconverted XML used with WTIH_DOM) More...
const char * | tail
| trailing XML content before end tag (used with WITH_DOM) More...
const void * | node
| pointer to serializable object More...
int | type
| SOAP_TYPE_T type of serializable object or 0. More...
struct soap * | soap
| soap context that manages this object More...

## Detailed Description

The xsd__anyType DOM element node structure (xsd__anyType is a typedef of soap_dom_element)

## Member Typedef Documentation

typedef soap_dom_element_iterator soap_dom_element::const_iterator

const_iterator over sibling element node list

typedef soap_dom_element_iterator soap_dom_element::iterator

iterator over sibling element node list

## Constructor & Destructor Documentation

soap_dom_element::soap_dom_element | ( | struct soap * | soap = `NULL` | ) |

Construct new xsd__anyType DOM element.

Parameters

  soap | context that manages this object

soap_dom_element::soap_dom_element | ( | const soap_dom_element & | elt | ) |

Construct new xsd__anyType DOM element by (shallow) copying another element.

Parameters

  elt | xsd__anyType DOM element copied

soap_dom_element::soap_dom_element | ( | struct soap * | soap,
|  | const char * | tag
| ) |  |

Construct new xsd__anyType DOM element with (un)qualified tag name, same as xsd__anyType(soap, NULL, tag)

Parameters

  soap | context that manages this object
  tag | (un)qualified tag name string or NULL (unnamed node)

soap_dom_element::soap_dom_element | ( | struct soap * | soap,
|  | const wchar_t * | tag
| ) |  |

Construct new xsd__anyType DOM element with (un)qualified tag name, same as xsd__anyType(soap, NULL, tag)

Parameters

  soap | context that manages this object
  tag | (un)qualified tag name wide string or NULL (unnamed node)

soap_dom_element::soap_dom_element | ( | struct soap * | soap,
|  | const char * | ns,
|  | const char * | tag
| ) |  |

Construct new xsd__anyType DOM element with namespace URI (xmlns) and (un)qualified tag name.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name string or NULL (unnamed node)

soap_dom_element::soap_dom_element | ( | struct soap * | soap,
|  | const char * | ns,
|  | const wchar_t * | tag
| ) |  |

Construct new xsd__anyType DOM element with namespace URI (xmlns) and (un)qualified tag name.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name wide string or NULL (unnamed node)

soap_dom_element::soap_dom_element | ( | struct soap * | soap,
|  | const char * | ns,
|  | const char * | tag,
|  | const char * | text
| ) |  |

Construct new xsd__anyType DOM element with namespace URI (xmlns), (un)qualified tag name, and text.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name string or NULL (unnamed node)
  text | string or NULL

soap_dom_element::soap_dom_element | ( | struct soap * | soap,
|  | const char * | ns,
|  | const char * | tag,
|  | const wchar_t * | text
| ) |  |

Construct new xsd__anyType DOM element with namespace URI (xmlns), (un)qualified tag name, and text.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name string or NULL (unnamed node)
  text | wide string or NULL

soap_dom_element::soap_dom_element | ( | struct soap * | soap,
|  | const char * | ns,
|  | const wchar_t * | tag,
|  | const char * | text
| ) |  |

Construct new xsd__anyType DOM element with namespace URI (xmlns), (un)qualified tag name, and text.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name wide string or NULL (unnamed node)
  text | string or NULL

soap_dom_element::soap_dom_element | ( | struct soap * | soap,
|  | const char * | ns,
|  | const wchar_t * | tag,
|  | const wchar_t * | text
| ) |  |

Construct new xsd__anyType DOM element with namespace URI (xmlns), (un)qualified tag name, and text.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name wide string or NULL (unnamed node)
  text | wide string or NULL

soap_dom_element::soap_dom_element | ( | struct soap * | soap,
|  | const char * | ns,
|  | const char * | tag,
|  | const std::string & | text
| ) |  |

Construct new xsd__anyType DOM element with namespace URI (xmlns), (un)qualified tag name, and text.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name string or "" (unnamed node)
  text | string

soap_dom_element::soap_dom_element | ( | struct soap * | soap,
|  | const char * | ns,
|  | const char * | tag,
|  | const std::wstring & | text
| ) |  |

Construct new xsd__anyType DOM element with namespace URI (xmlns), (un)qualified tag name, and text.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name wide string or "" (unnamed node)
  text | string

soap_dom_element::soap_dom_element | ( | struct soap * | soap,
|  | const char * | ns,
|  | const wchar_t * | tag,
|  | const std::string & | text
| ) |  |

Construct new xsd__anyType DOM element with namespace URI (xmlns), (un)qualified tag name, and text.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name string or "" (unnamed node)
  text | wide string

soap_dom_element::soap_dom_element | ( | struct soap * | soap,
|  | const char * | ns,
|  | const wchar_t * | tag,
|  | const std::wstring & | text
| ) |  |

Construct new xsd__anyType DOM element with namespace URI (xmlns), (un)qualified tag name, and text.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name wide string or "" (unnamed node)
  text | wide string

soap_dom_element::soap_dom_element | ( | struct soap * | soap,
|  | const char * | ns,
|  | const char * | tag,
|  | const void * | node,
|  | int | type
| ) |  |

Construct new xsd__anyType DOM element node with namespace URI (xmlns), (un)qualified tag name, and pointer to a serializable object.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name string or NULL (unnamed node)
  node | pointer to serializable object
  type | SOAP_TYPE_T type of the serializable object of type T

soap_dom_element::soap_dom_element | ( | struct soap * | soap,
|  | const char * | ns,
|  | const wchar_t * | tag,
|  | const void * | node,
|  | int | type
| ) |  |

Construct new xsd__anyType DOM element node with namespace URI (xmlns), (un)qualified tag name, and pointer to a serializable object.

Parameters

  soap | context that manages this object
  ns | namespace URI string or NULL
  tag | (un)qualified tag name wide string or NULL (unnamed node)
  node | pointer to serializable object
  type | SOAP_TYPE_T type of the serializable object of type T

soap_dom_element::~soap_dom_element | ( |  | ) |

Destructor (no-op, deletes are done by the managing context of this object)

## Member Function Documentation

soap_dom_element& soap_dom_element::add | ( | soap_dom_element & | elt | ) |

Add a child element node to this xsd__anyType DOM element node.

Parameters

  elt | reference to element node to copy and add as a child

Returns
  reference to *this

soap_dom_element& soap_dom_element::add | ( | soap_dom_element * | elt | ) |

Add a child element node to this xsd__anyType DOM element node.

Parameters

  elt | pointer to element node to copy and add as a child

Returns
  reference to *this

soap_dom_element& soap_dom_element::add | ( | soap_dom_attribute & | att | ) |

Add an attribute node to this xsd__anyType DOM element node.

Parameters

  att | reference to xsd__anyAttribute attribute node to copy and add

Returns
  reference to *this

soap_dom_element& soap_dom_element::add | ( | soap_dom_attribute * | att | ) |

Add an attribute node to this xsd__anyType DOM element node.

Parameters

  att | pointer to xsd__anyAttribute attribute node to copy and add

Returns
  reference to *this

soap_dom_element& soap_dom_element::adds | ( | soap_dom_element & | elts | ) |

Copy list of element nodes to this xsd__anyType DOM element node as children.

Parameters

  elts | reference to list of xsd__anyType DOM element nodes to copy and add as children

Returns
  reference to *this

soap_dom_element& soap_dom_element::adds | ( | soap_dom_element * | elts | ) |

Copy list of element nodes to this xsd__anyType DOM element node as children.

Parameters

  elts | pointer to list of xsd__anyType DOM element nodes to copy and add as children

Returns
  reference to *this

soap_dom_element& soap_dom_element::adds | ( | soap_dom_attribute & | atts | ) |

Copy list of attribute nodes to this xsd__anyType DOM element node.

Parameters

  atts | reference to list of xsd__anyAttribute attribute nodes to copy and add

Returns
  reference to *this

soap_dom_element& soap_dom_element::adds | ( | soap_dom_attribute * | atts | ) |

Copy list of attribute nodes to this xsd__anyType DOM element node.

Parameters

  atts | pointer to list of xsd__anyAttribute attribute nodes to copy and add

Returns
  reference to *this

soap_dom_attribute& soap_dom_element::att | ( | const char * | tag | ) |

Populate this xsd__anyType DOM element node with an attribute node, same as att(NULL, tag), if the attribute does not already exists.

Parameters

  tag | (un)qualified tag name string of attribute

Returns
  reference to xsd__anyAttribute attribute node (new attribute node if none matches)

soap_dom_attribute& soap_dom_element::att | ( | const wchar_t * | tag | ) |

Populate this xsd__anyType DOM element node with an attribute node, same as att(NULL, tag), if the attribute does not already exists.

Parameters

  tag | (un)qualified tag name wide string of attribute

Returns
  reference to xsd__anyAttribute attribute node (new attribute node if none matches)

soap_dom_attribute& soap_dom_element::att | ( | const char * | ns,
|  | const char * | tag
| ) |  |

Populate this xsd__anyType DOM element node with an attribute node, if the attribute does not already exists.

Parameters

  ns | namespace URI string or NULL of attribute
  tag | (un)qualified tag name string of attribute

Returns
  reference to xsd__anyAttribute attribute node (new attribute node if none matches)

soap_dom_attribute& soap_dom_element::att | ( | const char * | ns,
|  | const wchar_t * | tag
| ) |  |

Populate this xsd__anyType DOM element node with an attribute node, if the attribute does not already exists.

Parameters

  ns | namespace URI string or NULL of attribute
  tag | (un)qualified tag name wide string of attribute

Returns
  reference to xsd__anyAttribute attribute node (new attribute node if none matches)

soap_dom_attribute::iterator soap_dom_element::att_begin | ( |  | ) |

Return iterator to begin of attribute nodes.

Returns
  xsd__anyAttribute::iterator

soap_dom_attribute::iterator soap_dom_element::att_end | ( |  | ) |

Return iterator to end of attribute nodes.

Returns
  xsd__anyAttribute::iterator

soap_dom_attribute::iterator soap_dom_element::att_find | ( | const char * | patt | ) |

Return iterator to search for matching attributes of this node.

Parameters

  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)

Returns
  xsd__anyAttribute::iterator

soap_dom_attribute::iterator soap_dom_element::att_find | ( | const wchar_t * | patt | ) |

Return iterator to search for matching attributes of this node, same as att_find(NULL, patt)

Parameters

  patt | (un)qualified tag name wide string pattern (NULL, "*", and "*:*" match any)

Returns
  xsd__anyAttribute::iterator

soap_dom_attribute::iterator soap_dom_element::att_find | ( | const char * | ns,
|  | const char * | patt
| ) |  |

Return iterator to search for matching attributes of this node, same as att_find(NULL, patt)

Parameters

  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any)

Returns
  xsd__anyAttribute::iterator

soap_dom_attribute::iterator soap_dom_element::att_find | ( | const char * | ns,
|  | const wchar_t * | patt
| ) |  |

Return iterator to search for matching attributes of this node.

Parameters

  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name wide string pattern (NULL, "*", and "*:*" match any)

Returns
  xsd__anyAttribute::iterator

soap_dom_attribute* soap_dom_element::att_get | ( | const char * | tag | ) | const

Get attribute node of this xsd__anyType DOM element node, if attribute exists, same as att_get(NULL, tag)

Parameters

  tag | (un)qualified tag name string of attribute

Returns
  pointer to xsd__anyAttribute DOM attribute node or NULL if not exists

soap_dom_attribute* soap_dom_element::att_get | ( | const wchar_t * | tag | ) | const

Get attribute node of this xsd__anyType DOM element node, if attribute exists, same as att_get(NULL, tag)

Parameters

  tag | (un)qualified tag name wide string of attribute

Returns
  pointer to xsd__anyAttribute DOM attribute node or NULL if not exists

soap_dom_attribute* soap_dom_element::att_get | ( | const char * | ns,
|  | const char * | tag
| ) |  | const

Get attribute node of this xsd__anyType DOM element node, if attribute exists.

Parameters

  ns | namespace URI string (NULL matches the null (empty) namespace if tag is unqualified) of attribute
  tag | (un)qualified tag name string of attribute

Returns
  pointer to xsd__anyAttribute DOM attribute node or NULL if not exists

soap_dom_attribute* soap_dom_element::att_get | ( | const char * | ns,
|  | const wchar_t * | tag
| ) |  | const

Get attribute node of this xsd__anyType DOM element node, if attribute exists.

Parameters

  ns | namespace URI string (NULL matches the null (empty) namespace if tag is unqualified) of attribute
  tag | (un)qualified tag name wide string of attribute

Returns
  pointer to xsd__anyAttribute DOM attribute node or NULL if not exists

size_t soap_dom_element::att_size | ( |  | ) |

Return number of attribute nodes of this xsd__anyType DOM element node, same as att_size(NULL, NULL)

Returns
  number of attributes

size_t soap_dom_element::att_size | ( | const char * | patt | ) |

Return number of matching attribute nodes of this xsd__anyType DOM element node, same as att_size(NULL, patt)

Parameters

  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any)

Returns
  number of matches found

size_t soap_dom_element::att_size | ( | const char * | ns,
|  | const char * | patt
| ) |  |

Return number of matching attribute nodes of this xsd__anyType DOM element node.

Parameters

  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any)

Returns
  number of matches found

soap_dom_element::iterator soap_dom_element::begin | ( |  | ) |

Return iterator to begin of deep depth-first node graph traversal starting with this node.

Returns
  xsd__anyType::iterator

soap_dom_element::const_iterator soap_dom_element::cbegin | ( |  | ) |

Return const_iterator to begin of deep depth-first node graph traversal starting with this node.

Returns
  xsd__anyType::iterator

soap_dom_element::const_iterator soap_dom_element::cend | ( |  | ) |

Return const_iterator to end of deep depth-first tnode graph traversal.

Returns
  xsd__anyType::iterator

size_t soap_dom_element::depth | ( |  | ) | const

Return depth from the root node of this xsd__anyType DOM element node.

Returns
  depth from root node, zero if node is a root node and has no parent

soap_dom_element& soap_dom_element::elt | ( |  | ) |

Populate this xsd__anyType DOM element node with an unnamed (tagless) child element node, same as elt(NULL, "")

Returns
  reference to child element node (new child element node if none matches)

soap_dom_element& soap_dom_element::elt | ( | const char * | tag | ) |

Populate this xsd__anyType DOM element node with a child element node, same as elt(NULL, tag)

Parameters

  tag | (un)qualified tag name string of child element or NULL (unnamed node)

Returns
  reference to child element node (new child element node if none matches)

soap_dom_element& soap_dom_element::elt | ( | const wchar_t * | tag | ) |

Populate this xsd__anyType DOM element node with a child element node, same as elt(NULL, tag)

Parameters

  tag | (un)qualified tag name wide string of child element or NULL (unnamed node)

Returns
  reference to child element node (new child element node if none matches)

soap_dom_element& soap_dom_element::elt | ( | const char * | ns,
|  | const char * | tag
| ) |  |

Populate this xsd__anyType DOM element node with a child element node.

Parameters

  ns | namespace URI string or NULL of child element
  tag | (un)qualified tag name string of child element or NULL (unnamed node)

Returns
  reference to child element node (new child element node if none matches)

soap_dom_element& soap_dom_element::elt | ( | const char * | ns,
|  | const wchar_t * | tag
| ) |  |

Populate this xsd__anyType DOM element node with a child element node.

Parameters

  ns | namespace URI string or NULL of child element
  tag | (un)qualified tag name wide string of child element or NULL (unnamed node)

Returns
  reference to child element node (new child element node if none matches)

soap_dom_element::iterator soap_dom_element::elt_begin | ( |  | ) |

Return iterator to begin of child element nodes.

Returns
  xsd__anyType::iterator

soap_dom_element::iterator soap_dom_element::elt_end | ( |  | ) |

Return iterator to end of child element nodes.

Returns
  xsd__anyType::iterator

soap_dom_element::iterator soap_dom_element::elt_find | ( | const char * | patt,
|  | int | type = `0`
| ) |  |

Return iterator to search for matching child elements of this node, same as elt_find(NULL, patt, type)

Parameters

  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)
  type | optional SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  xsd__anyType::iterator

soap_dom_element::iterator soap_dom_element::elt_find | ( | const wchar_t * | patt,
|  | int | type = `0`
| ) |  |

Return iterator to search for matching child elements of this node, same as elt_find(NULL, patt, type)

Parameters

  patt | (un)qualified tag name wide string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)
  type | optional SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  xsd__anyType::iterator

soap_dom_element::iterator soap_dom_element::elt_find | ( | const char * | ns,
|  | const char * | patt,
|  | int | type = `0`
| ) |  |

Return iterator to search for matching child elements of this node.

Parameters

  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)
  type | optional SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  xsd__anyType::iterator

soap_dom_element::iterator soap_dom_element::elt_find | ( | const char * | ns,
|  | const wchar_t * | patt,
|  | int | type = `0`
| ) |  |

Return iterator to search for matching child elements of this node.

Parameters

  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name wide string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)
  type | optional SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  xsd__anyType::iterator

soap_dom_element::iterator soap_dom_element::elt_find | ( | int | type | ) |

Return iterator to search for child elements of this node that have deserialized objects.

Parameters

  type | SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  xsd__anyType::iterator

soap_dom_element* soap_dom_element::elt_get | ( |  | ) | const

Get unnamed (tagless) child element node of this xsd__anyType DOM element node, if child element exists, same as elt_get(NULL, NULL) or elt_get(NULL, "");.

Returns
  pointer to xsd__anyType DOM child element node or NULL if not exists

soap_dom_element* soap_dom_element::elt_get | ( | const char * | tag | ) | const

Get child element node of this xsd__anyType DOM element node, if child element exists.

Parameters

  tag | (un)qualified tag name string (NULL matches unnamed node) of child element

Returns
  pointer to xsd__anyType DOM child element node or NULL if not exists

soap_dom_element* soap_dom_element::elt_get | ( | const wchar_t * | tag | ) | const

Get child element node of this xsd__anyType DOM element node, if child element exists, same as elt_get(NULL, tag)

Parameters

  tag | (un)qualified tag name wide string (NULL matches unnamed node) of child element

Returns
  pointer to xsd__anyType DOM child element node or NULL if not exists

soap_dom_element* soap_dom_element::elt_get | ( | const char * | ns,
|  | const char * | tag
| ) |  | const

Get child element node of this xsd__anyType DOM element node, if child element exists.

Parameters

  ns | namespace URI string (NULL matches the null (empty) namespace if tag is unqualified) of child element
  tag | (un)qualified tag name string (NULL matches unnamed node) of child element

Returns
  pointer to xsd__anyType DOM child element node or NULL if not exists

soap_dom_element* soap_dom_element::elt_get | ( | const char * | ns,
|  | const wchar_t * | tag
| ) |  | const

Get child element node of this xsd__anyType DOM element node, if child element exists.

Parameters

  ns | namespace URI string (NULL matches the null (empty) namespace if tag is unqualified) of child element
  tag | (un)qualified tag name wide string (NULL matches unnamed node) of child element

Returns
  pointer to xsd__anyType DOM child element node or NULL if not exists

size_t soap_dom_element::elt_size | ( |  | ) |

Return number of child element nodes of this xsd__anyType DOM element node, same as elt_size(NULL, NULL)

Returns
  number of child elements

size_t soap_dom_element::elt_size | ( | const char * | patt,
|  | int | type = `0`
| ) |  |

Return number of matching child element nodes of this xsd__anyType DOM element node, same as elt_size(NULL, patt, type)

Parameters

  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)
  type | optional SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  number of matches found

size_t soap_dom_element::elt_size | ( | const char * | ns,
|  | const char * | patt,
|  | int | type = `0`
| ) |  |

Return number of matching child element nodes of this xsd__anyType DOM element node.

Parameters

  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)
  type | optional SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  number of matches found

soap_dom_element::iterator soap_dom_element::end | ( |  | ) |

Return iterator to end of deep depth-first tnode graph traversal.

Returns
  xsd__anyType::iterator

soap_dom_element::iterator soap_dom_element::find | ( | const char * | patt,
|  | int | type = `0`
| ) |  |

Return iterator to search deep depth-first over node graph starting from this node, same as find(NULL, patt, type)

Parameters

  patt | (un)qualified tag name string pattern (use '@' to match attributes, NULL, "*", and "*:*" match any, "" matches unnamed node)
  type | optional SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  xsd__anyType::iterator

soap_dom_element::iterator soap_dom_element::find | ( | const wchar_t * | patt,
|  | int | type = `0`
| ) |  |

Return iterator to search deep depth-first over node graph starting from this node, same as find(NULL, patt, type)

Parameters

  patt | (un)qualified tag name wide string pattern (use '@' to match attributes, NULL, "*", and "*:*" match any, "" matches unnamed node)
  type | optional SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  xsd__anyType::iterator

soap_dom_element::iterator soap_dom_element::find | ( | const char * | ns,
|  | const char * | patt,
|  | int | type = `0`
| ) |  |

Return iterator to search deep depth-first over node graph starting from this node.

Parameters

  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name string pattern (use '@' to match attributes, NULL, "*", and "*:*" match any, "" matches unnamed node)
  type | optional SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  xsd__anyType::iterator

soap_dom_element::iterator soap_dom_element::find | ( | const char * | ns,
|  | const wchar_t * | patt,
|  | int | type = `0`
| ) |  |

Return iterator to search deep depth-first over node graph starting from this node.

Parameters

  ns | namespace URI string pattern ("*" matches any, "" matches the null (empty) namespace, NULL matches the null (empty) namespace if tag is unqualified or the namespace from namespace table if tag is qualified)
  patt | (un)qualified tag name wide string pattern (use '@' to match attributes, NULL, "*", and "*:*" match any, "" matches unnamed node)
  type | optional SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  xsd__anyType::iterator

soap_dom_element::iterator soap_dom_element::find | ( | int | type | ) |

Return iterator to search deep depth-first over node graph to find deserialized objects, starting from this node.

Parameters

  type | optional SOAP_TYPE_T type of deserialized object of type T to match or 0

Returns
  xsd__anyType::iterator

double soap_dom_element::get_double | ( |  | ) | const

Return double float value of decimal text of this xsd__anyType DOM element node.

Returns
  double float value or NaN if text is not numeric

LONG64 soap_dom_element::get_int | ( |  | ) | const

Return 64 bit integer value of numeric text of this xsd__anyType DOM element node.

Returns
  64 bit integer value or 0 if text is not numeric

soap_dom_element* soap_dom_element::get_next | ( |  | ) | const

Get next child element node that has the same namespace URI and tag name as this child element node in a sibling list.

Returns
  pointer to xsd__anyType DOM child element node or NULL if not exists

soap_dom_element* soap_dom_element::get_nth | ( | size_t | n | ) |

Get N-th child element node that has the same namespace URI and tag name as this child element node at position one (1) in a sibling list.

Parameters

  n | N-th element minus one located from the current element node at position one (1), 1 returns this element node

Returns
  pointer to xsd__anyType DOM child element node or NULL if not exists

const char* soap_dom_element::get_text | ( |  | ) | const

Return text of this xsd__anyType DOM element node.

Returns
  string or NULL

size_t soap_dom_element::index | ( |  | ) | const

Return child index of this xsd__anyType DOM child element node in its sibling list.

Returns
  nonzero index of child among siblings, or 0 if node is a root node and has no parent

bool soap_dom_element::is_false | ( |  | ) | const

Return true if this xsd__anyType DOM element node text is Boolean "false" or "0".

Returns
  true if "false" or "0"

bool soap_dom_element::is_true | ( |  | ) | const

Return true if this xsd__anyType DOM element node text is Boolean "true" or "1".

Returns
  true if "true" or "1"

size_t soap_dom_element::len | ( |  | ) | const

Return number of siblings of this xsd__anyType DOM child node that have the same namespace URI and tag name.

Returns
  number of siblings plus one (for self) that have the same namespace URI and tag name

bool soap_dom_element::match | ( | const char * | patt | ) | const

Match the namespace URI and tag name of this xsd__anyType DOM element node against a pattern.

Parameters

  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)

Returns
  true if match

bool soap_dom_element::match | ( | const wchar_t * | patt | ) | const

Match the namespace URI and tag name of this xsd__anyType DOM element node against a pattern, same as match(NULL, patt)

Parameters

  patt | (un)qualified tag name wide string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)

Returns
  true if match

bool soap_dom_element::match | ( | const char * | ns,
|  | const char * | patt
| ) |  | const

Match the namespace URI and tag name of this xsd__anyType DOM element node against a pattern, same as match(NULL, patt)

Parameters

  ns | namespace URI string pattern ("*" matches any, NULL and "" match the null (empty) namespace)
  patt | (un)qualified tag name string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)

Returns
  true if match

bool soap_dom_element::match | ( | const char * | ns,
|  | const wchar_t * | patt
| ) |  | const

Match the namespace URI and tag name of this xsd__anyType DOM element node against a pattern.

Parameters

  ns | namespace URI string pattern ("*" matches any, NULL and "" match the null (empty) namespace)
  patt | (un)qualified tag name wide string pattern (NULL, "*", and "*:*" match any, "" matches unnamed node)

Returns
  true if match

const char* soap_dom_element::ns | ( |  | ) | const

Get the namespace URI of this xsd__anyType DOM element node.

Returns
  namespace URI string or NULL

size_t soap_dom_element::nth | ( |  | ) | const

Return index of this xsd__anyType DOM child node among siblings that have the same namespace URI and tag name.

Returns
  nonzero N-th index (1 <= nth <= len), or 0 if element is root or is singular (has no siblings with the same namespace URI and tag name)

soap_dom_element::operator bool | ( |  | ) | const

Return true if this xsd__anyType DOM element node text is Boolean "true" or "1", same as is_true()

Returns
  true if "true" or "1"

soap_dom_element::operator const char * | ( |  | ) | const

Return text of this xsd__anyType DOM element node, same as get_text()

Returns
  string or NULL

soap_dom_element::operator double | ( |  | ) | const

Return double float value of decimal text of this xsd__anyType DOM element node, same as get_double()

Returns
  double float value or NaN if text is not numeric

soap_dom_element::operator int | ( |  | ) | const

Return integer value of numeric text of this xsd__anyType DOM element node, same as (int)get_int()

Returns
  integer value or 0 if text is not numeric

soap_dom_element::operator LONG64 | ( |  | ) | const

Return 64 bit integer value of numeric text of this xsd__anyType DOM element node, same as get_int()

Returns
  64 bit integer value or 0 if text is not numeric

soap_dom_element& soap_dom_element::operator= | ( | bool | b | ) |

Set text of this xsd__anyType DOM element node to Boolean "false" or "true", same as set(b)

Parameters

  b | Boolean value

Returns
  reference to *this

soap_dom_element& soap_dom_element::operator= | ( | int | n | ) |

Set text of this xsd__anyType DOM element node to an integer value, same as set(n)

Parameters

  n | integer value

Returns
  reference to *this

soap_dom_element& soap_dom_element::operator= | ( | LONG64 | n | ) |

Set text of this xsd__anyType DOM element node to an integer value, same as set(n)

Parameters

  n | 64 bit integer value

Returns
  reference to *this

soap_dom_element& soap_dom_element::operator= | ( | float | x | ) |

Set text of this xsd__anyType DOM element node to a float value, same as set(x)

Parameters

  x | float value (NaN and +/-INF are also supported)

Returns
  reference to *this

soap_dom_element& soap_dom_element::operator= | ( | double | x | ) |

Set text of this xsd__anyType DOM element node to a double float value, same as set(x)

Parameters

  x | double float value (NaN and +/-INF are also supported)

Returns
  reference to *this

soap_dom_element& soap_dom_element::operator= | ( | const char * | text | ) |

Set text of this xsd__anyType DOM element node, same as set(text)

Parameters

  text | string or NULL

Returns
  reference to *this

soap_dom_element& soap_dom_element::operator= | ( | const wchar_t * | text | ) |

Set text of this xsd__anyType DOM element node, same as set(text)

Parameters

  text | wide string or NULL

Returns
  reference to *this

soap_dom_element& soap_dom_element::operator= | ( | const std::string & | text | ) |

Set text of this xsd__anyType DOM element node, same as set(text)

Parameters

  text | string

Returns
  reference to *this

soap_dom_element& soap_dom_element::operator= | ( | const std::wstring & | text | ) |

Set text of this xsd__anyType DOM element node, same as set(text)

Parameters

  text | wide string

Returns
  reference to *this

soap_dom_element& soap_dom_element::operator= | ( | const soap_dom_element & | elt | ) |

Copy an xsd__anyType DOM element node to this node (not a deep copy)

Parameters

  elt | reference to xsd__anyType DOM element node to copy from

Returns
  reference to *this

template<class T >

soap_dom_element& soap_dom_element::operator= | ( | const T & | obj | ) |

Set this xsd__anyType DOM element node to point to a serializable object.

Parameters

  obj | reference to serializable object that has a soap_type() member

Returns
  reference to *this

template<class T >

soap_dom_element& soap_dom_element::operator= | ( | const T * | obj | ) |

Set this xsd__anyType DOM element node to point to a serializable object.

Parameters

  obj | pointer to serializable object that has a soap_type() member

Returns
  reference to *this

template<class T >

soap_dom_element& soap_dom_element::operator= | ( | T * | obj | ) |

Set this xsd__anyType DOM element node to point to a serializable object.

Parameters

  obj | pointer to serializable object that has a soap_type() member

Returns
  reference to *this

soap_dom_element& soap_dom_element::operator[] | ( | const char * | tag | ) |

Populate this xsd__anyType DOM element node with a child element node, same as elt(NULL, tag)

Parameters

  tag | (un)qualified tag name wide string of child element or NULL (unnamed node)

Returns
  reference to child element node (new child element node if none matches)

soap_dom_element& soap_dom_element::operator[] | ( | const wchar_t * | tag | ) |

Populate this xsd__anyType DOM element node with a child element node, same as elt(NULL, tag)

Parameters

  tag | (un)qualified tag name wide string of child element or NULL (unnamed node)

Returns
  reference to child element node (new child element node if none matches)

soap_dom_element& soap_dom_element::operator[] | ( | size_t | n | ) |

Add a N-th child element with the same namespace and tag name as this xsd__anyType DOM element node that is a child element node at position one (1) in a sibling list.

Parameters

  n | additional child element position requested, counting from one (1) XPath style

Returns
  reference to xsd__anyType child element node (new child element node if none exists at position n)

soap_dom_element* soap_dom_element::parent | ( |  | ) |

Return pointer to parent of this xsd__anyType DOM element node, if any.

Returns
  pointer to xsd__anyType DOM element or NULL

soap_dom_element& soap_dom_element::set | ( | const char * | ns,
|  | const char * | tag
| ) |  |

Set xsd__anyType DOM element namespace URI and tag name.

Parameters

  ns | namespace URI string or NULL
  tag | (un)qualified tag name string or NULL (unnamed node)

Returns
  reference to *this

soap_dom_element& soap_dom_element::set | ( | const char * | ns,
|  | const wchar_t * | tag
| ) |  |

Set xsd__anyType DOM element namespace URI and tag name.

Parameters

  ns | namespace URI string or NULL
  tag | (un)qualified tag name wide string or NULL (unnamed node)

Returns
  reference to *this

soap_dom_element& soap_dom_element::set | ( | bool | b | ) |

Set text of this xsd__anyType DOM element node to Boolean "false" or "true".

Parameters

  b | Boolean value

Returns
  reference to *this

soap_dom_element& soap_dom_element::set | ( | int | n | ) |

Set text of this xsd__anyType DOM element node to an integer value.

Parameters

  n | integer value

Returns
  reference to *this

soap_dom_element& soap_dom_element::set | ( | LONG64 | n | ) |

Set text of this xsd__anyType DOM element node to an integer value.

Parameters

  n | integer value

Returns
  reference to *this

soap_dom_element& soap_dom_element::set | ( | float | x | ) |

Set text of this xsd__anyType DOM element node to a float value.

Parameters

  x | float value (NaN and +/-INF are also supported)

Returns
  reference to *this

soap_dom_element& soap_dom_element::set | ( | double | x | ) |

Set text of this xsd__anyType DOM element node to a double float value.

Parameters

  x | double float value (NaN and +/-INF are also supported)

Returns
  reference to *this

soap_dom_element& soap_dom_element::set | ( | const char * | text | ) |

Set text of this xsd__anyType DOM element node.

Parameters

  text | string or NULL

Returns
  reference to *this

soap_dom_element& soap_dom_element::set | ( | const wchar_t * | text | ) |

Set text of this xsd__anyType DOM element node.

Parameters

  text | wide string or NULL

Returns
  reference to *this

soap_dom_element& soap_dom_element::set | ( | const std::string & | text | ) |

Set text of this xsd__anyType DOM element node.

Parameters

  text | string

Returns
  reference to *this

soap_dom_element& soap_dom_element::set | ( | const std::wstring & | text | ) |

Set text of this xsd__anyType DOM element node.

Parameters

  text | wide string

Returns
  reference to *this

soap_dom_element& soap_dom_element::set | ( | const void * | node,
|  | int | type
| ) |  |

Set this xsd__anyType DOM element node to point to a serializable object.

Parameters

  node | pointer to serializable object
  type | SOAP_TYPE_T type of the serializable object of type T

Returns
  reference to *this

const char* soap_dom_element::tag | ( |  | ) | const

Get the tag name of this xsd__anyType DOM element node.

Returns
  tag name string or NULL

void soap_dom_element::unlink | ( |  | ) |

## Member Data Documentation

struct soap_dom_attribute* soap_dom_element::atts

list of attribute nodes

const char* soap_dom_element::code

XML "code" (plain unconverted XML used with WTIH_DOM)

struct soap_dom_element* soap_dom_element::elts

list of child element nodes

const char* soap_dom_element::lead

leading XML content before start tag (used with WITH_DOM)

const char* soap_dom_element::name

(un)qualified tag name

struct soap_dom_element* soap_dom_element::next

next sibling element node in list

const void* soap_dom_element::node

pointer to serializable object

const char* soap_dom_element::nstr

namespace string

struct soap_dom_element* soap_dom_element::prnt

pointer to parent node

struct soap* soap_dom_element::soap

soap context that manages this object

const char* soap_dom_element::tail

trailing XML content before end tag (used with WITH_DOM)

const char* soap_dom_element::text

text cdata in UTF-8

int soap_dom_element::type

SOAP_TYPE_T type of serializable object or 0.

The documentation for this class was generated from the following file:

- dom.cpp